const { defineConfig } = require("@vue/cli-service")
module.exports = defineConfig({
   transpileDependencies: true,
   productionSourceMap: false,
   css: {
      loaderOptions: {
         //全局变量
         sass: {
            additionalData: `@use "@/assets/variables.scss" as *;`
         }
      }
   },
   devServer: {
      proxy: {
         "/gym": {
            target: "https://dev.dayaedu.com",
            pathRewrite: {
               "^/gym": ""
            }
         },
         "/gyt": {
            target: "https://dev.lexiaoya.cn",
            pathRewrite: {
               "^/gyt": ""
            }
         }
      }
   }
})
