import { httpAxios_gym, httpAxios_gyt } from "@/api/ApiInstance"

/** 管乐迷 */

//获取课程列表
export const queryLessonCourseware_gym = (type: string) => {
   return httpAxios_gym.axioseRquest({
      method: "post",
      url: "/api-teacher/lessonCourseware/queryLessonCourseware",
      data: {
         query: {
            subjectId: type,
            page: 1,
            rows: 9999
         }
      }
   })
}

// 获取课程类型
export const getLessonCoursewareSubjectList_gym = () => {
   return httpAxios_gym.axioseRquest({
      method: "get",
      url: "/api-teacher/lessonCourseware/getLessonCoursewareSubjectList"
   })
}

// 课程详情列表
export const getLessonCoursewareCourseList_gym = (id: string) => {
   return httpAxios_gym.axioseRquest({
      method: "get",
      url: "/api-teacher/lessonCourseware/getLessonCoursewareCourseList/" + id
   })
}

// 课程详情 播放用
export const getLessonCourseDetail_gym = (id: string) => {
   return httpAxios_gym.axioseRquest({
      method: "get",
      url: "/api-teacher/lessonCourseware/getLessonCourseDetail/" + id
   })
}

/**
 * 管乐团
 */

// 课程列表
export const getMyCourseware_gyt = () => {
   return httpAxios_gyt.axioseRquest({
      method: "post",
      url: "/api-teacher/courseSchedule/myCourseware"
   })
}

// 课程详情列表
export const getMyCoursewareDetail_gyt = (id: string) => {
   return httpAxios_gyt.axioseRquest({
      method: "post",
      url: "/api-teacher/courseSchedule/myCoursewareDetail/" + id
   })
}

// 课程详情 播放用
export const getLessonCoursewareDetail_gyt = (id: string) => {
   return httpAxios_gyt.axioseRquest({
      method: "get",
      url: "/api-teacher/lessonCoursewareDetail/detail/" + id
   })
}
